Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#3 doesn't recognize lilypond

open-fixed
8
2011-08-26
2011-01-27
Marc Lindahl
No

just installed on osx 10.6.6, Macbook pro:
MacOS X x86: LilyPond 2.12.3-1
VocalEasel-1.1.dmg

running VocalEasel, it can't find LilyPond. I ran LilyPond, it works... tried it with LilyPond running, still doesn't find it.

Discussion

    • priority: 5 --> 8
     
  • Did you install lilypond through fink or through an installer downloaded from the lilypond site?

     
    • assigned_to: nobody --> neeri
     
  • Marc Lindahl
    Marc Lindahl
    2011-04-11

    from the installer on lillypond site - i removed FINK from my computer (having to reinstall the OS in the process), it completely f**ked up my OS, messed up paths, etc., and most of the installs didn't complete due to toolchain or dependency problems - it's cr*p and will never go on my computer again, ever.

     
  • I just tried this on my system (I normally use the lilypond version, but I deinstalled that and installed the 2.12.3 app) and everything worked.

    In VocalEasel preferences, is the app path listed? (Presumably not)
    Can you run the following in Terminal and tell me the result:

    grep -A1 BundleIdentifier /Applications/Lilypond.app/Contents/Info.plist

     
  • Marc Lindahl
    Marc Lindahl
    2011-04-29

    here ya go! (ps, if you deinstalled, are you sure all the parts/dependencies/etc were removed? and paths, plists, etc....)

    $ grep -A1 BundleIdentifier /Applications/Lilypond.app/Contents/Info.plist
    <key>CFBundleIdentifier</key>
    <string>org.lilypond.lilypond</string>

     
    • status: open --> open-fixed
     
  • Sorry for taking so long to respond. After not making any progress on this matter for several months, I finally realized today what was happening: Your Lilypond.app must be in a path with a space in the name of one of the directories, and VocalEasel had several bugs in dealing with this case.

    Fix just got committed to SVN and will show up in the next release. Thanks for reporting this!

     
  • SVN revision 396

     
  • Marc Lindahl
    Marc Lindahl
    2011-08-26

    hi neeri,
    actually there's no spaces in the app path, as you can see from my comment below. Nor are there in my home directory path.
    BUT.... my home directory is FILEVAULT'd and though there's no spaces in the path name, I ran into a problem previously with this (XCode+iOS SDK will not run with a filevaulted home directory).
    So perhaps there's an issue with a path that traverses filesystems, with something like the prefs or properties files?

     
  • Ah, that's interesting. Can you run

    /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Support/lsregister -dump

    One of the sections should have a line "identifier: org.lilypond.lilypond". Does that section contain the correct path for Lilypond.app?

     
  • Also, when you double click a .ly file, is Lilypond.app launched?

     
  • Marc Lindahl
    Marc Lindahl
    2011-08-26

    For the file test, I took some random file ( a screen capture) and renamed it with an .ly at the end (since I didn't have any real ones) and double clicked it and lilypond did in fact launch.

    here's lilypond and vocal easel's dumps:

    --------------------------------------------------------------------------------
    bundle id: 29696
    path: /Applications/LilyPond.app
    name: LilyPond
    identifier: org.lilypond.lilypond (0x80010340)
    version: 0
    mod date: 12/15/2009 15:56:59
    reg date: 6/29/2011 5:26:20
    type code: 'APPL'
    creator code: '????'
    sys version: 10.2
    flags: display-name relative-icon-path launch-disabled
    item flags: container package application extension-hidden native-app scriptable ppc i386
    icon: Contents/Resources/lilypond.icns
    executable: Contents/MacOS/LilyPond
    inode: 9466374
    exec inode: 9466381
    container id: 32
    -minimum-versio 100200
    library:
    library items:
    --------------------------------------------------------
    claim id: 30744
    name: LilyPond source
    rank: Default
    roles: Editor
    flags:
    icon:
    bindings: .ly
    --------------------------------------------------------
    claim id: 30772
    name: text editor via url
    rank: Default
    roles: Editor
    flags:
    icon:
    bindings: textedit:

    --------------------------------------------------------------------------------
    bundle id: 70904
    path: /Applications/VocalEasel.app
    name:
    identifier: org.aereperennius.VocalEasel (0x80045e66)
    canonical id: org.aereperennius.vocaleasel (0x80045e5d)
    version: 1.1
    mod date: 7/13/2008 17:54:18
    reg date: 6/29/2011 5:28:04
    type code: 'APPL'
    creator code: 'V?Ez'
    sys version: 0
    flags: relative-icon-path launch-disabled
    item flags: container package application extension-hidden native-app ppc i386
    icon: Contents/Resources/vlapp.icns
    executable: Contents/MacOS/VocalEasel
    inode: 9237683
    exec inode: 9237688
    container id: 32
    library:
    library items:
    --------------------------------------------------------
    claim id: 74116
    name: VLBIABType
    rank: Default
    roles: Viewer
    flags:
    icon:
    bindings: .sgu, .sg1, .mgu, .mg1, 'BIAB'
    --------------------------------------------------------
    claim id: 74144
    name: VLNativeType
    rank: Default
    roles: Editor
    flags: relative-icon-path package
    icon: Contents/Resources/vlsong.icns
    bindings: org.aereperennius.vocaleasel-song
    --------------------------------------------------------
    claim id: 74172
    name: VLLilypondType
    rank: Default
    roles: Viewer
    flags:
    icon:
    bindings: org.lilypond.lilypond-source
    --------------------------------------------------------
    claim id: 74200
    name: VLMusicXMLType
    rank: Default
    roles: Viewer
    flags:
    icon:
    bindings: .xml, application/vnd.recordare.musicxml+xml
    --------------------------------------------------------
    claim id: 74228
    name: VLMMAType
    rank: Default
    roles: None
    flags:
    icon:
    bindings: .mma
    --------------------------------------------------------
    claim id: 74256
    name: VLMIDIType
    rank: Default
    roles: None
    flags:
    icon:
    bindings: public.midi
    --------------------------------------------------------
    claim id: 74284
    name: VLPDFType
    rank: Default
    roles: None
    flags:
    icon:
    bindings: com.adobe.pdf
    --------------------------------------------------------
    claim id: 74312
    name: VLAIFFType
    rank: Default
    roles: None
    flags:
    icon:
    bindings: public.aifc-audio
    --------------------------------------------------------
    claim id: 74340
    name: VLMP3Type
    rank: Default
    roles: None
    flags:
    icon:
    bindings: public.mp3

     
  • Very strange. That information all looks correct.

    I still don't have any idea what caused this, but I added a fallback path where VocalEasel looks for running instances of Lilypond if it doesn't have a stored path.

     
  • Ah, I just noticed another bug: If BOTH the app and the tool were installed, VocalEasel couldn't make up its mind and therefore accepted neither. Deleting either all instances of the app, or all instances of the standalone tool would fix this.